#include "orxonox_gui_exec.h"

OrxonoxGuiExec::OrxonoxGuiExec (Window* orxonoxGUI)
{
  execFrame = new Frame ("Execute-Tags:");
  execBox = new Box ('v');
  
  start = new Button ("Start");
  execBox->fill (start);
  saveSettings = new CheckButton ("Save Settings");
  execBox->fill (saveSettings);
  verboseMode = new Menu ("verbose mode", "no output", "verbose", "debug", "lastItem");
  execBox->fill (verboseMode);
  alwaysShow = new CheckButton ("Always Show this Menu");
  execBox->fill (alwaysShow);
  quit = new Button ("Quit");
  quit->connectSignal ("clicked", orxonoxGUI->orxonox_gui_quit);
  execBox->fill (quit);

  execFrame->fill (execBox);
}

Frame* OrxonoxGuiExec::getFrame ()
{
  return execFrame;
}
